#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QDebug>
#include <QImageReader>
#include <QImageWriter>

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QGuiApplication app(argc, argv);

    //qDebug() << "Formatos para carregar imagens: " << QImageReader::supportedImageFormats();
    //qDebug() << "Formatos para salvar imagens  : " << QImageWriter::supportedImageFormats();

    QQmlApplicationEngine engine;
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));
    if (engine.rootObjects().isEmpty())
        return -1;

    return app.exec();
}
